#ifndef __ELF_H__
#define __ELF_H__

#include "enemy.h"

class elf final: public enemy_base {
public:
        elf(RNG *rng, const feature enabled_features, const position &pos,
            const int gen_room_num);
        const char *get_race_name() const override;
        long_result attack(character *ch) override;
};

#endif
